Bug 1419506

Summary: Modular Server Preview
Product: [Fedora] Fedora Reporter: Jan Kurik <jkurik>
Component: Changes TrackingAssignee: Langdon White <langdon>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: unspecified Docs Contact: Simon Clark <simon.richard.clark>
Priority: unspecified    
Version: 26CC: langdon, simon.richard.clark
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: ChangeAcceptedF26, SystemWideChange
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-08-01 07:14:59 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Jan Kurik 2017-02-06 11:31:23 UTC
This is a tracking bug for Change: Modular Server Preview
For more details, see: https://fedoraproject.org//wiki/Changes/Modular_Server_Preview

As we progress down the modularity path, we finally have enough content, architecture and understanding that we would like to release an edition of Fedora that is actually usable. However, as we aren't ready for production yet, we would like to do a "preview" release so that people can see it and try it but it doesn't actually take the place of a production edition. As such this Change Proposal requests that we set up a "Modular Server Edition" with some sort of flag that indicates that it is meant for experimentation and not real use. We plan to model the Server Edition in content and most use scenarios.

Comment 1 Jan Kurik 2017-02-28 10:08:27 UTC
On 2017-Feb-28, we have reached the Fedora 26 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo for 2017-Mar-03 meeting.

Comment 2 Fedora End Of Life 2017-02-28 11:11:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 3 Jan Kurik 2017-03-01 09:50:28 UTC
May I ask for status update on this Change, as requested in Comment #1 ?

Comment 4 Jan Kurik 2017-05-17 09:13:21 UTC
On 2017-May-16 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 26 release. At this point all the Changes not at least in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan

Comment 5 Jan Kurik 2017-05-19 08:13:24 UTC
This Change is going to be reviewed on a FESCo meeting: https://pagure.io/fesco/issue/1710

Comment 6 Simon Clark 2017-07-04 14:21:13 UTC
I have added release notes text for this change to the draft F26 Release Notes here: https://pagure.io/release-notes/c/44d5ef28968651534a620f77647b5cb728261969?branch=f26

Please would you take a look at the draft and let me know if anything should be added or changed?

Comment 7 Langdon White 2017-07-05 14:53:55 UTC
Draft looks good to me.

Comment 8 Jan Kurik 2017-08-01 07:14:59 UTC
Overal summary of the preview: https://fedoramagazine.org/announcing-boltron/